Subject: Re: bug#20662: 25.0.50; Remote copy through Dired fails

From: Manuel Uberti <[email-masked]>
Date: Sat, 30 May 2015 10:31:03 +0200

On 30/05/15 10:19, Michael Albinus wrote:
> Manuel Uberti <[email-masked]> writes:
> 
> Hi Manuel,
> 
>>> Unfortunately, the trace does not tell us what went wrong with
>>> `call-process-region'. I've committed a patch to the Emacs repository
>>> improving the trace. Could you, please, rebuild Emacs and rerun the test
>>> with `tramp-verbose' set to 6? The debug buffer might tell us more then.
>>
>> Sure thing, Michael, find attached the stacktrace.
>> Hope this helps. And if you need me to do other tests, please ask.
> 
> Unfortunately, the additional traces are not visible:
> 
>> 08:57:27.846392 tramp-sh-handle-file-local-copy (3) # Decoding local file `/tmp/tramp.13701TQ.ods' with `(lambda (beg end) (base64-decode-region beg end) (let ((coding-system-for-write (quote binary)) (coding-system-for-read (quote binary))) (apply (quote call-process-region) (point-min) (point-max) (car (split-string gzip -d)) t t nil (cdr (split-string gzip -d)))))'...
>> 08:57:27.853406 tramp-sh-handle-file-local-copy (3) # Decoding local file `/tmp/tramp.13701TQ.ods' with `(lambda (beg end) (base64-decode-region beg end) (let ((coding-system-for-write (quote binary)) (coding-system-for-read (quote binary))) (apply (quote call-process-region) (point-min) (point-max) (car (split-string gzip -d)) t t nil (cdr (split-string gzip -d)))))'...failed
> 
> Locally, I see traces like this:
> 
> 10:10:28.329956 tramp-sh-handle-file-local-copy (3) # Decoding local file `/tmp/tramp.21069tQL.log' with `(lambda (beg end) (base64-decode-region beg end) (let ((coding-system-for-write (quote binary)) (coding-system-for-read (quote binary)) (default-directory (tramp-compat-temporary-file-directory))) (apply (quote tramp-call-process-region) [ssh nil ford /tmp/.eagent.log nil] (point-min) (point-max) (car (split-string gzip -d)) t t nil (cdr (split-string gzip -d)))))'...
> 10:10:28.331115 tramp-call-process-region (6) # `gzip -d' 1 2260 t  *temp file*
> 10:10:28.332384 tramp-call-process-region (6) # 0
> 10:10:28.373900 tramp-sh-handle-file-local-copy (3) # Decoding local file `/tmp/tramp.21069tQL.log' with `(lambda (beg end) (base64-decode-region beg end) (let ((coding-system-for-write (quote binary)) (coding-system-for-read (quote binary)) (default-directory (tramp-compat-temporary-file-directory))) (apply (quote tramp-call-process-region) [ssh nil ford /tmp/.eagent.log nil] (point-min) (point-max) (car (split-string gzip -d)) t t nil (cdr (split-string gzip -d)))))'...done
> 
> Have you pulled Emacs from the repository, recompiled, and restarted Emacs?
> 
>> Regads,
>>
>> Manuel Uberti
> 
> Best regards, Michael.
> 

Yes, I pulled Emacs from the repository, recompiled, restarted and did
the test.

This is my current Emacs version:

GNU Emacs 25.0.50.2 (i686-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2015-05-30 on bebop

Head is now on this commit: 56af96e.

I did the test again, find attached the debug trace.

Thank you for your patience on this.

Manuel Uberti
<[email-masked]>